Bug 146760 - CAN-2004-1165 kioslave command injection
Summary: CAN-2004-1165 kioslave command injection
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdelibs   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL: http://www.kde.org/info/security/advi...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-01 13:03 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 16:43:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:009 high SHIPPED_LIVE Important: kdelibs, kdebase security update 2005-02-10 05:00:00 UTC

Description Josh Bressers 2005-02-01 13:03:00 UTC
See URL for advisory:

A flaw was discovered in the FTP kioslave. KDE applications such as
Konqueror could be forced to execute arbitrary FTP commands via a
carefully crafted ftp URL. The URL could also be crafted in such a way
as to send an arbitrary email via SMTP. An attacker could make use of
this flaw if a victim clicks on a malcious link or visits a malicious
web site. The Common Vulnerabilities and Exposures project has
assigned the name CAN-2004-1165 to this issue.


This issue should also affect RHEL2.1

Comment 1 Ngo Than 2005-02-01 14:35:56 UTC
it's now fixed in kdelibs-2.2.2-15 and kdelibs-3.1.3-6.9.

http://porkchop.redhat.com/errata/showerrata.cgi?type=html&advisory=2005:009



Comment 2 Josh Bressers 2005-02-10 16:43:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-009.html



Note You need to log in before you can comment on or make changes to this bug.